CARGO-UPDATE(1)

NAME
cargo-update - Update dependencies as recorded in the local lock file

SYNOPSIS

cargo update [OPTIONS]

DESCRIPTION

This command will update dependencies in the Cargo.lock file to the latest version. It requires that the Cargo.lock file already exists as generated by commands such as cargo-build(1) or cargo-generate-lockfile(1).

OPTIONS

  Update Options

-p SPEC..., --package SPEC...
    Update only the specified packages. This flag may be specified multiple times. See cargo-pkgid(1) for the SPEC format.

    If packages are specified with the -p flag, then a conservative update of the lockfile will be performed. This means that only the dependency specified by SPEC will be updated. Its transitive dependencies will be updated only if SPEC cannot be updated without updating dependencies. All other dependencies will remain locked at their currently recorded versions.

    If -p is not specified, all dependencies are updated.

--aggressive
    When used with -p, dependencies of SPEC are forced to update as well. Cannot be used with --precise.

--precise PRECISE
    When used with -p, allows you to specify a specific version number to set the package to. If the package comes from a git repository, this can be a git revision (such as a SHA hash or tag).

--dry-run
    Displays what would be updated, but doesn’t actually write the lockfile.

  Display Options

-v, --verbose
    Use verbose output. May be specified twice for "very verbose" output which includes extra output such as dependency warnings and build script output. May also be specified with the term.verbose

-q, --quiet
    No output printed to stdout.

--color WHEN
    Control when colored output is used. Valid values:

        • auto (default): Automatically detect if color support is available on the terminal.

        • always: Always display colors.

        • never: Never display colors.

    May also be specified with the term.color

  Manifest Options

--manifest-path PATH
    Path to the Cargo.toml file. By default, Cargo searches in the current directory or any parent directory for the Cargo.toml file.

--frozen, --locked
    Either of these flags requires that the Cargo.lock file is up-to-date. If the lock file is missing, or it needs to be updated, Cargo will exit with an error. The --frozen flag also prevents Cargo from attempting to access the network to determine if it is out-of-date.

    These may be used in environments where you want to assert that the Cargo.lock file is up-to-date (such as a CI build) or want to avoid network access.

  Common Options

-h, --help
    Prints help information.

-Z FLAG...
    Unstable (nightly-only) flags to Cargo. Run cargo -Z help for details.

ENVIRONMENT

See for details on environment variables that Cargo reads.

EXIT STATUS

0
    Cargo succeeded.

101
    Cargo failed to complete.

EXAMPLES

    1. Update all dependencies in the lockfile:

        cargo update

    2. Update only specific dependencies:

        cargo update -p foo -p bar

    3. Set a specific dependency to a specific version:

        cargo update -p foo --precise 1.2.3

SEE ALSO

cargo(1), cargo-generate-lockfile(1)